jenkins:
  numExecutors: 0
  mode: NORMAL
  crumbIssuer:
    standard:
      excludeClientIPFromCrumb: false

  securityRealm:
    local:
      allowsSignup: false
      users:
        - id: "admin"
          password: "${JENKINS_ADMIN_PASSWORD}"

  authorizationStrategy:
    globalMatrix:
      permissions:
        - "Overall/Administer:admin"
        - "Overall/Read:authenticated"
        - "View/Read:authenticated"
        - "Job/Read:developers"
        - "Job/Build:developers"
        - "Job/Workspace:developers"
        - "Credentials/View:release-engineers"

unclassified:
  location:
    url: "https://jenkins.example.internal/"

security:
  queueItemAuthenticator:
    authenticators:
      - global:
          strategy: triggeringUsersAuthorizationStrategy

tool:
  git:
    installations:
      - name: "Default"
        home: "/usr/bin/git"
